# libgd, freetype, postgresql devels: Redhat-6.0
# imap, openldap, libxmltok devels: Contrib - ftp://contrib.redhat.com/libc6
# MySQL devel: http://www.tcx.se
# libcpdf devel: http://www.fastio.com

# If you have these libraries tries rpm -ba --nodeps  
BuildPrereq: gd-devel >= 1.3		 
BuildPrereq: freetype-devel >= 1.2-6	 
BuildPrereq: postgresql-devel >= 6.4.2	
BuildPrereq: MySQL-devel >= 3.22	
BuildPrereq: imap-devel >= 4.6	 
BuildPrereq: openldap-devel >= 1.2.1  
BuildPrereq: libxmltok-devel >= 1.0    
BuildPrereq: libcpdf-devel >= 1.10.5c 
#BuildPrereq: apache-devel >= 1.3.6


%define    version 3.0.12
%define    Release 1 
Summary:   A server-side, HTML-embedded scripting language
Name:      mod_php3
Version:   %{version}
Release:   %{Release} 
URL:       http://www.php.net
Source:    ftp://www.php.net/pub/distributions/php-%{version}.tar.gz
Source1:   http://www.php.net/distributions/manual.tar.gz
Source2:   http://www.php.net/distributions/manual-3_0_11.pdf
Source3:   http://www.php.net/distributions/manual.rtf
Source4:   http://www.php.net/distributions/copyright.html
Source5:   http://www.php.net/distributions/bigmanual.html
Source6:   FAQ.php3
Source7:   changes.php3
Source8:   http://www.php.net/logos/big-logo1t.gif
Source9:   logo1t.gif
Patch:     php3.patch 
Icon:      php3.gif
Copyright: GPL
Group: Networking/Daemons
Requires:  webserver 
Provides:  mod-php3
Obsoletes: php, mod_php, mod-php3
BuildRoot: /tmp/%{name}-%{version}-root
Packager: Pablo Costa <pablo@ib.usp.br>
%description
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides the loadable module for the apache webserver, some
 modules providing extra functions, and a php/fi 2.0 -> php3 script convertor
 (works most of the time).
 .
 With additional modules it supports direct communication with postgresql,
 mysql, msql databases, dbf files, and it has an interface to the libgd
 graphics library.



%package doc
Group: Networking/Daemons
Requires: webserver
Summary: Online manual for PHP3
%description doc
Comprehensive documentation for PHP3, viewable through your web server, too!



%package gd
Group: Networking/Daemons
Requires: %{name} >= %{version} 
Requires: freetype >= 1.2-6
Summary: GD (graphic creation) module for PHP3 (apache)
%description gd 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) to use the GD
 graphics library calls directly from PHP3 scripts.



%package imap
Group: Networking/Daemons
Requires: %{name} >= %{version} 
Summary: IMAP module for PHP3 (apache) 
%description imap
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for using IMAP
 functions directly from PHP3 scripts.



%Package ldap
Group:   Networking/Daemons
Requires:  %{name} >= %{version} 
Summary: LDAP module for PHP3 (apache)
%description ldap 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for LDAP support
 functions directly from PHP3 scripts.



%package mysql
Group:   Networking/Daemons
Requires:  %{name} >= %{version} 
Provides: php3-database
Summary: Mysql module for PHP3 (Apache)
%description mysql
 Mysql module for PHP3 (apache)
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for mysql connectivity
 directly from PHP3 scripts.



%package pgsql
Group: Networking/Daemons
Requires: %{name} >= %{version} 
Provides: php3-database
Summary: PostgreSQL module for PHP3 (apache)
%description pgsql 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for PostgreSQL
 connectivity directly from PHP3 scripts.



%package xml
Group: Networking/Daemons
Requires: %{name} >= %{version} 
Summary: XML module for PHP3 (apache)
%description xml 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (apache version) for XML parsing
 functions directly from PHP3 scripts.



%package cpdf 
Group: Networking/Daemons
Requires: %{name} >= %{version}
Summary: CPDF module for PHP3 (apache)
%description cpdf 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a PHP3 module (apache version) for PDF 
 creation functions directly from PHP3 scripts.



%package -n php3-cgi
Summary:   A server-side, HTML-embedded scripting language
Group: Networking/Daemons
%description -n php3-cgi
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a standalone cgi binary (usable as a standalone
 interpreter) and some modules providing extra functions
 
 With additional modules it supports direct communication with postgresql,
 mysql, msql databases, dbf files, and it has an interface to the libgd
 graphics library.



%package -n php3-cgi-gd
Group: Networking/Daemons
Requires: php3-cgi >= %{version} 
Requires: freetype >= 1.2-6
Summary: GD (graphic creation) module for PHP3 (cgi)
%description -n php3-cgi-gd 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) to use the GD graphics
 library calls directly from PHP3 scripts.



%package -n php3-cgi-imap
Group: Networking/Daemons
Requires: php3-cgi >= %{version} 
Summary: IMAP module for PHP3 (cgi) 
%description -n php3-cgi-imap
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for using IMAP
 functions directly from PHP3 scripts.



%package -n php3-cgi-ldap
Group:   Networking/Daemons
Requires:  php3-cgi >= %{version} 
Summary: LDAP module for PHP3 (cgi)
%description -n php3-cgi-ldap 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for LDAP support
 functions directly from PHP3 scripts.
 


%package -n php3-cgi-mysql
Group:   Networking/Daemons
Requires:  php3-cgi >= %{version} 
Provides: php3-database
Summary: Mysql module for PHP3 (cgi)
%description -n php3-cgi-mysql
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for mysql connectivity
 directly from PHP3 scripts.



%package -n php3-cgi-pgsql
Group: Networking/Daemons
Requires: php3-cgi >= %{version} 
Provides: php3-database
Summary: PostgreSQL module for PHP3 (cgi)
%description -n php3-cgi-pgsql 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.
 
 This package provides a PHP3 module (cgi version) for PostgreSQL
 connectivity directly from PHP3 scripts.



%package -n php3-cgi-xml
Group: Networking/Daemons
Requires: php3-cgi >= %{version} 
Summary: XML module for PHP3 (cgi)
%description -n php3-cgi-xml 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a PHP3 module (cgi version) for XML parsing
 functions directly from PHP3 scripts.



%package -n php3-cgi-cpdf
Group: Networking/Daemons
Requires: php3-cgi >= %{version}
Summary: CPDF module for PHP3 (cgi)
%description -n php3-cgi-cpdf 
 PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
 language. Much of its syntax is borrowed from C, Java and Perl with a
 couple of unique PHP-specific features thrown in. The goal of the
 language is to allow web developers to write dynamically generated
 pages quickly.

 This package provides a PHP3 module (cgi version) for PDF  
 criation functions directly from PHP3 scripts.



%prep
%setup -q -n php-%{version}
%patch -p1
install -m644 %{SOURCE2} doc
install -m644 %{SOURCE3} doc
install -m644 %{SOURCE4} doc
install -m644 %{SOURCE5} . 
install -m644 %{SOURCE6} .
install -m644 %{SOURCE7} . 

%build

# Apache modules
./configure \
	--with-apxs=/usr/sbin/apxs \
	--prefix=/usr \
        --enable-safe-mode \
	--with-exec-dir=/usr/bin \
	--with-zlib \
	--with-dbase \
	--with-filepro \
	--with-config-file-path=/etc/php3/apache \
	--disable-debug \
	--enable-magic-quotes \
	--enable-debugger \
	--enable-bcmath \
	--enable-track-vars \
	--with-system-regex \
	--with-yp \
	--without-gd
	

make
make -C convertor

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/mysql -o mysql.so ./functions/mysql.c -L/usr/lib/mysql -lmysqlclient -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/pgsql -o pgsql.so ./functions/pgsql.c -lpq -lc
(cd dl && ./setup ; make clean; make CFLAGS="-I/usr/include/apache -I." calendar.so crypt.so)

sed -e "s/HAVE_IMAP 0/HAVE_IMAP 1/g" \
-e "s/HAVE_LDAP 0/HAVE_LDAP 1/g" \
-e "s/HAVE_LIBEXPAT 0/HAVE_LIBEXPAT 1/g" \
-e "s/HAVE_LIBGD13 0/HAVE_LIBGD13 1/g" \
-e "s/HAVE_LIBGD 0/HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBGD \*\//#define HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_CPDFLIB \*\//#define HAVE_CPDFLIB 1/g" \
-e "s/HAVE_LIBTTF 0/HAVE_LIBTTF 1/g" < config.h > config.h- && mv -f config.h- config.h

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o gd.so ./functions/gd.c ./functions/gdcache.c ./functions/gdttf.c -lgd -lttf -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -I/usr/include/imap -o imap.so ./functions/imap.c -limap -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o ldap.so ./functions/ldap.c -lldap -llber -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o xml.so ./functions/xml.c -lxmlparse -lxmltok -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o cpdf.so ./functions/cpdf.c  -lcpdf -lc

mkdir apache && mv *.so dl/*.so apache   

make clean


# CGI
./configure \
	--enable-force-cgi-redirect \
        --prefix=/usr \
        --enable-safe-mode \
        --with-exec-dir=/usr/bin \
        --with-zlib \
        --with-dbase \
        --with-filepro \
        --with-config-file-path=/etc/php3/cgi \
        --disable-debug \
        --enable-magic-quotes \
        --enable-debugger \
        --enable-bcmath \
        --enable-track-vars \
        --with-system-regex \
	--with-yp \
        --without-gd
	
make LDFLAGS="-rdynamic"

gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/mysql -o mysql.so ./functions/mysql.c  -L/usr/lib/mysql -lmysqlclient -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/pgsql -o pgsql.so ./functions/pgsql.c -lpq -lc
(cd ./dl && ./setup ; make clean; make CFLAGS="-I." calendar.so crypt.so)


sed -e "s/HAVE_IMAP 0/HAVE_IMAP 1/g" \
-e "s/HAVE_LDAP 0/HAVE_LDAP 1/g" \
-e "s/HAVE_LIBEXPAT 0/HAVE_LIBEXPAT 1/g" \
-e "s/HAVE_LIBGD13 0/HAVE_LIBGD13 1/g" \
-e "s/HAVE_LIBGD 0/HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_LIBGD \*\//#define HAVE_LIBGD 1/g" \
-e "s/\/\* #undef HAVE_CPDFLIB \*\//#define HAVE_CPDFLIB 1/g" \
-e "s/\/\* #undef HAVE_LIBTTF \*\//#define HAVE_LIBTTF 1/g" \
-e "s/HAVE_LIBTTF 0/HAVE_LIBTTF 1/g" < config.h > config.h- && mv -f config.h- config.h


gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o gd.so ./functions/gd.c ./functions/gdcache.c ./functions/gdttf.c -lgd -lttf -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/imap -o imap.so ./functions/imap.c -limap -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o ldap.so ./functions/ldap.c -lldap -llber -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -o xml.so ./functions/xml.c -lxmlparse -lxmltok -lc
gcc -shared -fPIC -DCOMPILE_DL=1  -I. -I/usr/include/apache -o cpdf.so ./functions/cpdf.c  -lcpdf -lc

mkdir cgi && mv *.so dl/*.so php cgi   


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/php3/apache
install -d $RPM_BUILD_ROOT/etc/php3/cgi
install -d $RPM_BUILD_ROOT/home/httpd/icons
install -d $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -d $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
install -d $RPM_BUILD_ROOT/usr/lib/apache
install -d $RPM_BUILD_ROOT/usr/lib/php3
install -d $RPM_BUILD_ROOT/usr/lib/php3/apache
install -d $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -d $RPM_BUILD_ROOT/usr/bin

cd apache
install -m755 libphp3.so $RPM_BUILD_ROOT/usr/lib/apache
install -m755 crypt.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 calendar.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 gd.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 imap.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 ldap.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 mysql.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 pgsql.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 xml.so $RPM_BUILD_ROOT/usr/lib/php3/apache
install -m755 cpdf.so $RPM_BUILD_ROOT/usr/lib/php3/apache

cd ../cgi
install -m755 php $RPM_BUILD_ROOT/home/httpd/cgi-bin
install -m755 crypt.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 calendar.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 gd.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 imap.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 ldap.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 mysql.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 pgsql.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 xml.so $RPM_BUILD_ROOT/usr/lib/php3/cgi
install -m755 cpdf.so $RPM_BUILD_ROOT/usr/lib/php3/cgi

cd ../
install -m755 convertor/convertor $RPM_BUILD_ROOT/usr/bin
install -m644 php3.ini-apache $RPM_BUILD_ROOT/etc/php3/apache/php3.ini
install -m644 php3.ini-cgi $RPM_BUILD_ROOT/etc/php3/cgi/php3.ini
install -m644 extra/icons/*.gif $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE8} $RPM_BUILD_ROOT/home/httpd/icons
install -m644 %{SOURCE9} $RPM_BUILD_ROOT/home/httpd/icons
mv -f convertor/README convertor/README.convertor
mkdir -p $RPM_BUILD_ROOT/home/httpd/php/bin
ln -sf /bin/uname $RPM_BUILD_ROOT/home/httpd/php/bin/uname
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
cd $RPM_BUILD_ROOT/home/httpd/html/manual/mod/mod_php3
tar xzpf %{SOURCE1}
ln -sf manual.html index.html

strip $RPM_BUILD_ROOT/usr/{bin/convertor,lib/apache/*.so,lib/php3/apache/*.so,lib/php3/cgi/*.so} $RPM_BUILD_ROOT/home/httpd/cgi-bin/php ||



%post  -p /bin/bash 




httpd="/etc/httpd/conf/httpd.conf"
srm="/etc/httpd/conf/srm.conf"
ssl=`ls /usr/doc | grep apache-mod_ssl`


	if [ -f $httpd  ]; then # Main
        	
		# Config for Apache-mod_ssl - start
		if [ ! -z $ssl  ]; then

echo -e "Configuring apache for you...\n"

# Add PHP3 icons, PHP3 extensions handling
if ! grep -q '^\# PHP3 support$' $httpd ; then
cat >> $httpd  <<End
# PHP3 support
<IfModule mod_php3.c>
AddIcon /icons/php3.gif .php3
AddIcon /icons/phps.gif .php3s .phps
AddType application/x-httpd-php3-source .php3s .phps
AddType application/x-httpd-php3 .php3
</IfModule>
# End of PHP3 support
End
fi

# Add LoadModule string
if ! grep -q '.*LoadModule *php3_module' $httpd ; then
sed "s|^\LoadModule setenvif_module    lib/apache/mod_setenvif.so\$|LoadModule setenvif_module    lib/apache/mod_setenvif.so\\
LoadModule php3_module        lib/apache/libphp3.so|" < $httpd > $httpd-
mv -f $httpd- $httpd
fi

# Add AddModule string
if ! grep -q '.*AddModule *mod_php3\.c' $httpd ; then
sed "s|^\AddModule mod_setenvif.c\$|AddModule mod_setenvif.c\\
AddModule mod_php3.c|" < $httpd > $httpd-
mv -f $httpd- $httpd
fi

# Now change DirectoryIndex -- include index.php3 there
if ! grep -q '^ *DirectoryIndex.*index\.php3' $httpd ; then
sed 's/\(^ *DirectoryIndex\)\(.*$\)/\1\2 index.php3/' < $httpd > $httpd-
mv -f $httpd- $httpd
fi


if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
fi

	

		# Config for Apache-mod_ssl - end 

		else

		# Config for Apache shipped by Redhat-6.0 - start


if [ -f $srm ]; then

echo -e "Configuring apache for you...\n"

sed -e 's+\#LoadModule.*php3.so+LoadModule php3_module        modules/libphp3.so+' -e s/^php3/\#php3/ -e 's+\#AddModule.*mod_php3.c+AddModule mod_php3.c+' < $httpd > $httpd-
mv $httpd- $httpd

if ! grep -q "^AddType.*php3" $srm; then
sed -e 's+\#AddType.*php3+AddType application/x-httpd-php3 .php3+' -e 's+\#AddType.*phps+AddType application/x-httpd-php3-source .phps .php3s+' < $srm > $srm-
mv -f $srm- $srm
fi


# Now change DirectoryIndex -- include index.php3 there
if ! grep -q '^ *DirectoryIndex.*index\.php3' $srm ; then
sed 's/\(^ *DirectoryIndex\)\(.*$\)/\1\2 index.php3/' < $srm > $srm-
mv -f $srm- $srm
fi

# Add PHP3 icons, PHP3 extensions handling
if ! grep -q '^\# PHP3 support$' $httpd ; then
cat >> $httpd <<End
# PHP3 support
<IfModule mod_php3.c>
AddIcon /icons/php3.gif .php3
AddIcon /icons/phps.gif .php3s .phps
</IfModule>
# End of PHP3 support
End
fi

if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
fi

fi # $srm

		# Config for Apache shipped by Redhat-6.0 - end 
		fi	


	else #Main

	
echo "I see you have apache webserver installed and so far you haven't"
echo "used the apache module version of php3 in your apache. If you"
echo "want to use it, you should reconfigure the apache webserver and"
echo "select to load the php module."
echo "You can insert the following line into"
echo "$httpd manually:"
echo
echo "LoadModule php3_module modules/mod_php3.so"
echo
echo "AddModule mod_php3.c"
echo
echo "AddIcon /icons/php3.gif .php3"
echo "AddIcon /icons/phps.gif .php3s .phps"
echo "AddType application/x-httpd-php3-source .php3s .phps"
echo "AddType application/x-httpd-php3 .php3"


	fi #Main



%preun -p /bin/bash 




httpd="/etc/httpd/conf/httpd.conf"
srm="/etc/httpd/conf/srm.conf"
ssl=`ls /usr/doc | grep apache-mod_ssl`


	if [ -f $httpd  ]; then # Main
        	
		# Config for Apache-mod_ssl - start
		if [ ! -z $ssl  ]; then

echo -e "Removing php entry from apache configuration...\n"


# Remove PHP3 icons & PHP3 extensions handling
if grep -q '^\# PHP3 support$' $httpd ; then
awk < $httpd > $httpd- '
BEGIN { needprint=1 }
/\# PHP3 support/ { needprint=0 }
/\# End of PHP3 support/ { needprint=2 }
(needprint==1) { print $0 }
(needprint==2) { needprint=1 }
'
mv -f $httpd- $httpd
fi

# Now change DirectoryIndex -- strip out index.php3 from there
if grep -q '^ *DirectoryIndex.*index\.php3' $httpd ; then
sed 's/\(^ *DirectoryIndex\)\(.*\)\( index.php3\)/\1\2/' < $httpd > $httpd-
mv -f $httpd- $httpd
fi

# Exclude strings LoadModule & AddModule from httpd.conf
awk < $httpd > $httpd- '
{ printed=0 }
/.*LoadModule *php3_module/ { printed=1 }
/.*AddModule *mod_php3/ { printed=1 }
(printed==0) { print $0 }
'
mv -f $httpd- $httpd



if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
fi

	

		# Config for Apache-mod_ssl - end 

		else

		# Config for Apache shipped by Redhat-6.0 - start


if [ -f $srm ]; then

echo -e "Removing php entry from apache configuration...\n"

sed -e 's+^LoadModule.*php3.so+\#LoadModule php3_module        modules/libphp3.so+' -e s/^php3/\#php3/ -e 's+^AddModule.*mod_php3.c+\#AddModule mod_php3.c+' < $httpd > $httpd-
mv $httpd- $httpd

if grep -q "^AddType.*php3" $srm; then
sed -e 's+^AddType.*php3+\#AddType application/x-httpd-php3 .php3+' -e 's+^AddType.*phps+\#AddType application/x-httpd-php3-source .phps .php3s+' < $srm > $srm-
mv -f $srm- $srm
fi


# Now change DirectoryIndex -- strip out index.php3 from there
if grep -q '^ *DirectoryIndex.*index\.php3' $srm ; then
sed 's/\(^ *DirectoryIndex\)\(.*\)\( index.php3\)/\1\2/' < $srm > $srm-
mv -f $srm- $srm
fi


# Remove PHP3 icons 
if grep -q '^\# PHP3 support$' $httpd ; then
awk < $httpd > $httpd- '
BEGIN { needprint=1 }
/\# PHP3 support/ { needprint=0 }
/\# End of PHP3 support/ { needprint=2 }
(needprint==1) { print $0 }
(needprint==2) { needprint=1 }
'
mv -f $httpd- $httpd
fi


if [ -x /etc/rc.d/init.d/httpd ]; then
/etc/rc.d/init.d/httpd restart
fi

fi # $srm

		# Config for Apache shipped by Redhat-6.0 - end 
		fi	


	else #Main

echo "The apache webserver is configured to load the php module at startup"
echo "If you remove this package now, apache will not start"
echo "You should remove the following lines from"
echo "$httpd manually:"
echo
echo "LoadModule php3_module modules/mod_php3.so"
echo
echo "AddModule mod_php3.c"
echo
echo "AddIcon /icons/php3.gif .php3"
echo "AddIcon /icons/phps.gif .php3s .phps"
echo "AddType application/x-httpd-php3-source .php3s .phps"
echo "AddType application/x-httpd-php3 .php3"


	fi #Main




%post doc
  if [ -f /etc/httpd/conf/httpd.conf ] ; then
  # Add PHP3 icons, PHP3 extensions handling
    if ! grep -q '^\# PHP3-doc support$' /etc/httpd/conf/httpd.conf ; then
      cat >>/etc/httpd/conf/httpd.conf <<End
# PHP3-doc support
Alias /php3-manual/ /home/httpd/php/manual/
# End of PHP3-doc support
End
    fi
  fi


%preun doc
  if [ -f /etc/httpd/conf/httpd.conf ] ; then
    # Remove PHP3 icons & PHP3 extensions handling
    if grep -q '^\# PHP3 support$' /etc/httpd/conf/httpd.conf ; then
      awk < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf- '
        BEGIN { needprint=1 }
        /\# PHP3-doc support/ { needprint=0 }
        /\# End of PHP3-doc support/ { needprint=2 }
        (needprint==1) { print $0 }
        (needprint==2) { needprint=1 }
        '
      mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
    fi
  fi


%post -p /bin/bash gd 
#!/bin/bash
module=gd
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash gd 
#!/bin/bash
module=gd
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash imap 
#!/bin/bash
module=imap
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash imap 
#!/bin/bash
module=imap
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash ldap 
#!/bin/bash
module=ldap
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash ldap 
#!/bin/bash
module=ldap
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash mysql 
#!/bin/bash
module=mysql
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash mysql 
#!/bin/bash
module=mysql
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash pgsql 
#!/bin/bash
module=pgsql
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash pgsql 
#!/bin/bash
module=pgsql
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash xml 
#!/bin/bash
module=xml
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash xml 
#!/bin/bash
module=xml
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash cpdf 
#!/bin/bash
module=cpdf
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	if [ -x /etc/rc.d/init.d/httpd ]; then
	echo -e "Restarting apache\n"
	/etc/rc.d/init.d/httpd restart
	fi
                else
		echo
		echo "The apache webserver is configured to load the php module at startup"
		echo "You should add the following lines to php3.ini"
		echo
		echo "extension=$module.so"
		echo
	fi
fi


%preun -p /bin/bash cpdf 
#!/bin/bash
module=cpdf
config_path="/etc/php3/apache/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The apache webserver is configured to load the php module at startup"
	echo "If you remove this package now, apache will not start"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-gd 
#!/bin/bash
module=gd
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-gd 
#!/bin/bash
module=gd
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-ldap 
#!/bin/bash
module=ldap
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-ldap 
#!/bin/bash
module=ldap
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-mysql 
#!/bin/bash
module=mysql
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-mysql 
#!/bin/bash
module=mysql
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-pgsql 
#!/bin/bash
module=pgsql
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-pgsql 
#!/bin/bash
module=pgsql
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-xml 
#!/bin/bash
module=xml
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-xml 
#!/bin/bash
module=xml
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%post -p /bin/bash -n php3-cgi-cpdf
#!/bin/bash
module=cpdf
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q ";extension.*$module.so" $config_path ; then
	echo -e "Adding extension=$module.so to $config_path\n"
	sed -e "s+^;extension.*$module.so+extension=$module.so+" < $config_path > $config_path-
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "You should add the following lines to php3.ini"
	echo
	echo "extension=$module.so"
	echo
	fi
fi


%preun -p /bin/bash -n php3-cgi-cpdf
#!/bin/bash
module=cpdf
config_path="/etc/php3/cgi/php3.ini"
if [ -f $config_path ]; then
        if grep -q "^extension.*$module.so" $config_path ; then
	echo -e "Removing extension=$module.so from $config_path\n"
	sed -e "s+^extension.*$module.so+;extension=$module.so+" < $config_path > $config_path- 
	mv $config_path- $config_path 
	else
	echo
	echo "The php is configured to load the php module"
	echo "If you remove this package now, php will not work"
	echo "You should remove the following lines from php3.ini"
	echo
	grep "^extension.*$module.so" $config_path || true
	echo
	fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING CREDITS ChangeLog EXTENSION_STATUS FUNCTION_LIST.txt INSTALL* LICENSE TODO WISHLIST*
%doc convertor/README.convertor examples FAQ.php3 changes.php3
%config /etc/php3/apache/php3.ini
%dir /home/httpd/php
/home/httpd/php/bin
/home/httpd/icons/*
/usr/bin/convertor
/usr/lib/apache/*.so
/usr/lib/php3/apache/calendar.so
/usr/lib/php3/apache/crypt.so

%files doc
%defattr(-,root,root)
%doc doc/*
%dir /home/httpd/php
/home/httpd/html/manual/mod/mod_php3

%files gd
/usr/lib/php3/apache/gd.so

%files imap
/usr/lib/php3/apache/imap.so

%files ldap
/usr/lib/php3/apache/ldap.so

%files mysql
/usr/lib/php3/apache/mysql.so

%files pgsql
/usr/lib/php3/apache/pgsql.so

%files xml 
/usr/lib/php3/apache/xml.so

%files cpdf 
/usr/lib/php3/apache/cpdf.so


%files -n php3-cgi
%defattr(-,root,root)
/home/httpd/cgi-bin/php
/usr/lib/php3/cgi/calendar.so
/usr/lib/php3/cgi/crypt.so
%config /etc/php3/cgi/php3.ini

%files -n php3-cgi-gd
/usr/lib/php3/cgi/gd.so

%files -n php3-cgi-imap
/usr/lib/php3/cgi/imap.so

%files -n php3-cgi-ldap
/usr/lib/php3/cgi/ldap.so

%files -n php3-cgi-mysql
/usr/lib/php3/cgi/mysql.so

%files -n php3-cgi-pgsql
/usr/lib/php3/cgi/pgsql.so

%files -n php3-cgi-xml
/usr/lib/php3/cgi/xml.so

%files -n php3-cgi-cpdf
/usr/lib/php3/cgi/cpdf.so


%changelog

* Mon Sep  6 1999 Pablo Costa <pablo@ib.usp.br>
- Upgrade to 3.0.12
- Build with apache-mod_ssl-1.3.9.2.4.1 from http://www.modssl.org
- Build with MySQL-3.22.25, imap-4.6, openldap-1.2.6 

* Thu Jun 10 1999 Pablo Costa <pablo@ib.usp.br>
- Upgrade to 3.0.9
- Change name to mod_php3 to follow redhat 
- Suppressed "mod" in cgi packages names 
- Suppressed libphp3.so rename to follow redhat  
- Added cpdf module
- Added install and uninstall scripts for all packages
- Added Buildprereq in spec file
- Used imap-devel from contrib to build imap module
- Tested with apache-1.3.6 from redhat-6.0
- Tested with apache-mod_ssl-1.3.6.2.3.1 from http://www.modssl.org

* Wed Jun  2 1999 Pablo Costa <pablo@ib.usp.br>
- Add %post and %preun scripts

* Tue May 25 1999 Pablo Costa <pablo@ib.usp.br>
- Upgrade to 3.0.8 
- Compile with apache 1.3.6 and glibc 2.1
- Compile without ssl 
- Add nis(YP) support
- Add package cgi. Now php can work without apache
- Add packages with apache modules:  gd, imap, ldap, mysql, pgsql and xml
- Add packages with cgi modules:  gd, imap, ldap, mysql, pgsql and xml
- Rename add-php, del-php to php-add and php-del
- Change config path to /etc/php3/apache (apache version)
- Change config path to /etc/php3/cgi (cgi version)
- Suppressed post and preun scripts (Wait for next release :-)

* Mon Feb  2 1999 Henri Gomez <gomez@slib.fr>
- Adapted apache-php SRPMS from Khimenko Victor SRPMS to standard RH5.2
- moved /usr/libexec/apache to /usr/lib/apache to follow latest apache rpm
- added requires SSLeay
- added -L/usr/lib/mysql to apxs
- mod_ssl 2.2.0 upgraded
- now exec bin in /usr/bin instead of /home/httpd/bin
- modified index.html to reflect PHP3 installation.

%changelog doc

* Mon Sep  6 1999 Pablo Costa <pablo@ib.usp.br>
- Update documentation

* Tue May 25 1999 Pablo Costa <pablo@ib.usp.br>
 -  Rename add-php-doc, del-php-doc to php-add and php-del

* Tue Mar  2 1999 Henri Gomez <gomez@slib.fr>
 - Upgraded to 3.0.7.
 - Suppressed patches no more needed.
 - Added INSTALL.DSO and INSTALL.REDHAT files in doc

* Tue Feb  2 1999 Henri Gomez <gomez@slib.fr>
 - moved html php3 docs to /home/httpd/html/manual/mod/mod_php3 to follow RH & mod_ssl way

